
Figure - Bug #116154
测试 Test-IT # 111062 (New): V3.0功能测试

测试 Test-IT # 111067 (New): AF-V3.0--Launcher/SystemUI-任务管理器

【AF】【EVT】【任务管理器】进入设置-显示-亮度调节页面，上划进入任务管理器->短暂出现两个设置进
程卡片，其中一个快速消失后，最后一个空白卡片未及时补齐
2023-02-10 15:16 - CD TEST-方永红

Status: CLOSED Start date: 2023-02-10

Priority: Normal Due date: 2023-03-03

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-APP Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0073.X101 

Resolution: FIXED Degrated: No

Severity: Normal Verified Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0079.C101

Reproducibility: Every time Fixed Version: 2023-03-02

Test Type: ST Root cause: AOSP问题

Description

【前提条件】

1、设备正常启动

【测试步骤】

1、进入设置-显示-亮度调节页面

2、上划进入任务管理器

【预期结果】

2、有且仅有一个设置进程卡片

【实际结果】

2、短暂出现两个设置进程卡片，其中一个快速消失后，最后一个空白卡片未及时补齐

【复现率】

3/3

History

#1 - 2023-02-14 11:05 - CD APP-王营

- Due date set to 2023-02-17

#2 - 2023-02-20 09:16 - CD APP-王营

- Due date changed from 2023-02-17 to 2023-02-24

#3 - 2023-02-20 20:28 - CD APP-王营

- Status changed from New to ASSIGNED

- Assignee changed from CD APP-王营 to CD APP-王宏

#4 - 2023-02-23 15:55 - CD APP-王宏

■ Current conclusion

代码已提交

■ My analysis

原因：systemUI的task 出现在列表中，我们在初始化的时候就把包名为systemUI的task给移除。
代码为

        for (Task task : tasks) {

            if (task.topActivity != null) {

                if (SYSTEMUI_PACKAGE_NAME.equals(task.topActivity.getPackageName())) {

                    tasks.remove(task);

                    Log.d(TAG, "systemui task removed");

                    break;

                }

            }

        }

■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Launcher3/+/183834

#5 - 2023-02-23 15:55 - CD APP-王宏

- % Done changed from 0 to 30

#6 - 2023-02-24 18:26 - CD APP-王宏

- Due date changed from 2023-02-24 to 2023-03-03

等待小窗调整完成后入库

#7 - 2023-03-01 17:53 - CD APP-王宏

- % Done changed from 30 to 50

■ Current conclusion

代码已提交

■ My analysis

systemUI的task 出现在列表中，原有逻辑不支持此逻辑，

经整体修改后已经可以正常补齐

■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Launcher3/+/183834

#8 - 2023-03-01 20:02 - CD APP-王宏

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD APP-王宏 to CD TEST-方永红

- % Done changed from 50 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-03-02

- Root cause set to AOSP问题

#9 - 2023-03-02 19:41 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_MCE_FSE.M.R.user.01.00.0079.C101
https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Launcher3/+/183834
https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Launcher3/+/183834


3.2

验证通过

#10 - 2023-03-02 19:41 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

Phone-STS40X190078 2023-02-10 15-15-19.mp4 8.2 MB 2023-02-10 CD TEST-方永红
